package com.ss.android.ugc.aweme.friends.model;

import X.C0487PDo;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.a;
import com.google.gson.a.c;
import java.util.Arrays;

public class ContactModel {
    @a(LIZ = false, LIZIZ = false)
    public String firstName;
    @c(LIZ = "invited")
    @a
    public boolean invited;
    @a(LIZ = false, LIZIZ = false)
    public String lastName;
    @a(LIZ = false, LIZIZ = false)
    public String mSection;
    @c(LIZ = "name")
    @a
    public String name;
    @a(LIZ = false, LIZIZ = false)
    public int originIndex;
    @c(LIZ = "phone_number")
    @a
    public String phoneNumber;
    public transient String photoUri;
    @c(LIZ = "region_code")
    @a
    public String regionCode;
    @a(LIZ = false, LIZIZ = false)
    public String url;

    static {
        Covode.recordClassIndex(81192);
    }

    public ContactModel() {
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{this.phoneNumber, this.name});
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            ContactModel contactModel = (ContactModel) obj;
            if (!C0487PDo.LIZ(this.phoneNumber, contactModel.phoneNumber) || !C0487PDo.LIZ(this.name, contactModel.name)) {
                return false;
            }
            return true;
        }
        return false;
    }

    public ContactModel(String str, String str2) {
        this.phoneNumber = str;
        this.name = str2;
    }
}
